## Guides
* [Getting started with Zulip](/help/getting-started-with-zulip)
* [Setting up your organization](/help/getting-your-organization-started-with-zulip)
* [Moderating open organizations](/help/moderating-open-organizations)
* [Setting up Zulip for a class](/help/setting-up-zulip-for-a-class)
* [Using Zulip for a class](/help/using-zulip-for-a-class)
* [Using Zulip via email](/help/using-zulip-via-email)

## Getting started
* [Joining an organization](/help/join-a-zulip-organization)
* [Set up your account](/help/set-up-your-account)
* [Streams and topics](/help/streams-and-topics)
* [Finding a topic to read](/help/finding-a-topic-to-read)
* [Reading topics](/help/reading-topics)
* [Reading private messages (PMs)](/help/reading-pms)
* [Starting a new topic](/help/starting-a-new-topic)
* [Starting a new private thread](/help/starting-a-new-private-thread)
* [Replying to messages](/help/replying-to-messages)
* [Messaging tips & tricks](/help/messaging-tips)
* [Keyboard shortcuts](/help/keyboard-shortcuts)

## Setting up your organization
* [Trying out Zulip](/help/trying-out-zulip)
* [Zulip Cloud or self-hosting?](/help/zulip-cloud-or-self-hosting)
* [Migrating from other chat tools](/help/migrating-from-other-chat-tools)
* [Create your organization profile](/help/create-your-organization-profile)
* [Customize organization settings](/help/customize-organization-settings)
* [Create streams](/help/create-streams)
* [Customize settings for new users](/help/customize-settings-for-new-users)
* [Invite users to join](/help/invite-users-to-join)
* [Create user groups](/help/create-user-groups)
* [Set up integrations](/help/set-up-integrations)

## Account basics
* [Edit your profile](/help/edit-your-profile)
* [Change your name](/help/change-your-name)
* [Change your email address](/help/change-your-email-address)
* [Change your profile picture](/help/change-your-profile-picture)
* [Change your password](/help/change-your-password)
* [Logging in](/help/logging-in)
* [Logging out](/help/logging-out)
* [Switching between organizations](/help/switching-between-organizations)
* [Import your settings](/help/import-your-settings)
* [Deactivate your account](/help/deactivate-your-account)

## Display settings
* [Review your settings](/help/review-your-settings)
* [Dark theme](/help/dark-theme)
* [Change your language](/help/change-your-language)
* [Change your time zone](/help/change-your-timezone)
* [Use 24-hour time](/help/change-the-time-format)
* [Enable emoticon translations](/help/enable-emoticon-translations)
* [Configure default view](/help/configure-default-view)
* [Enable full width display](/help/enable-full-width-display)
* [Display the buddy list on narrow screens](/help/move-the-users-list-to-the-left-sidebar)
* [Manage your uploaded files](/help/manage-your-uploaded-files)

## Sending messages
* [Open the compose box](/help/open-the-compose-box)
* [Mastering the compose box](/help/mastering-the-compose-box)
* [Resize the compose box](/help/resize-the-compose-box)
* [Format messages using Markdown](/help/format-your-message-using-markdown)
* [Mention a user or group](/help/mention-a-user-or-group)
* [Typing notifications](/help/typing-notifications)
* [Preview messages before sending](/help/preview-your-message-before-sending)
* [Verify a message was sent](/help/verify-your-message-was-successfully-sent)
* [Edit or delete a message](/help/edit-or-delete-a-message)
* [Message drafts](/help/view-and-edit-your-message-drafts)
* [Emoji and emoticons](/help/emoji-and-emoticons)
* [Start a video call](/help/start-a-call)
* [Share and upload files](/help/share-and-upload-files)
* [Quote and reply](/help/quote-and-reply)
* [Code blocks](/help/code-blocks)
* [Add GIFs in your message](/help/animated-gifs-from-giphy)
* [Create a poll](/help/create-a-poll)
* [Message a stream by email](/help/message-a-stream-by-email)

## Reading messages
* [Reading strategies](/help/reading-strategies)
* [Recent conversations](/help/recent-conversations)
* [Marking messages as read](/help/marking-messages-as-read)
* [Marking messages as unread](/help/marking-messages-as-unread)
* [Emoji reactions](/help/emoji-reactions)
* [Star a message](/help/star-a-message)
* [View and browse images](/help/view-and-browse-images)
* [View messages sent by a user](/help/view-messages-sent-by-a-user)
* [Link to a message or conversation](/help/link-to-a-message-or-conversation)
* [Advanced search](/help/search-for-messages)
* [View message Markdown source](/help/view-the-markdown-source-of-a-message)
* [View when message was sent](/help/view-the-exact-time-a-message-was-sent)
* [View a message's edit history](/help/view-a-messages-edit-history)
* [Collapse a message](/help/collapse-a-message)
* [Read receipts](/help/read-receipts)

## People
* [Status and availability](/help/status-and-availability)
* [View someone's profile](/help/view-someones-profile)
* [Private messages](/help/private-messages)

## Streams & topics
* [Streams and topics](/help/streams-and-topics)
* [Browse and subscribe to streams](/help/browse-and-subscribe-to-streams)
* [Unsubscribe from a stream](/help/unsubscribe-from-a-stream)
* [Create a stream](/help/create-a-stream)
* [Add or remove users from a stream](/help/add-or-remove-users-from-a-stream)
* [Pin a stream](/help/pin-a-stream)
* [Change the color of a stream](/help/change-the-color-of-a-stream)
* [Start a new topic](/help/start-a-new-topic)
* [Rename a topic](/help/rename-a-topic)
* [Resolve a topic](/help/resolve-a-topic)
* [Move content to another topic](/help/move-content-to-another-topic)
* [Move content to another stream](/help/move-content-to-another-stream)
* [Delete a topic](/help/delete-a-topic)
* [Manage inactive streams](/help/manage-inactive-streams)

## Notifications
* [Stream notifications](/help/stream-notifications)
* [PMs, mentions, and alerts](/help/pm-mention-alert-notifications)
* [Mute a stream](/help/mute-a-stream)
* [Mute a topic](/help/mute-a-topic)
* [Mute a user](/help/mute-a-user)
* [Email notifications](/help/email-notifications)
* [Desktop notifications](/help/desktop-notifications)
* [Mobile notifications](/help/mobile-notifications)

## Apps
* [Desktop installation guides](/help/desktop-app-install-guide)
* [Zulip in a Terminal](/help/zulip-in-a-terminal)
* [Connect through a proxy](/help/connect-through-a-proxy)
* [Use a custom certificate](/help/custom-certificates)

# Zulip administration

## Organization basics
* [Review your organization's settings](/help/review-your-organization-settings)
* [Organization type](/help/organization-type)
* [Communities directory](/help/communities-directory)
* [Import from Mattermost](/help/import-from-mattermost)
* [Import from Slack](/help/import-from-slack)
* [Import from Gitter](/help/import-from-gitter)
* [Import from Rocket.Chat](/help/import-from-rocketchat)
* [Configure authentication methods](/help/configure-authentication-methods)
* [SAML authentication](/help/saml-authentication)
* [SCIM provisioning](/help/scim)
* [Export your organization](/help/export-your-organization)
* [Change organization URL](/help/change-organization-url)
* [Deactivate your organization](/help/deactivate-your-organization)
* [View organization statistics](/help/analytics)
* [Linking to your organization](/help/linking-to-zulip)
* [GDPR compliance](/help/gdpr-compliance)

## Users
* [Roles and permissions](/help/roles-and-permissions)
* [Invite new users](/help/invite-new-users)
* [Restrict account creation](/help/restrict-account-creation)
* [Deactivate or reactivate a user](/help/deactivate-or-reactivate-a-user)
* [Custom profile fields](/help/custom-profile-fields)
* [Configure default new user settings](/help/configure-default-new-user-settings)
* [Configure organization language](/help/configure-organization-language)
* [User groups](/help/user-groups)
* [Restrict visibility of email addresses](/help/restrict-visibility-of-email-addresses)
* [Change a user's role](/help/change-a-users-role)
* [Change a user's name](/help/change-a-users-name)
* [Manage a user's stream subscriptions](/help/manage-user-stream-subscriptions)
* [Restrict name and email changes](/help/restrict-name-and-email-changes)
* [Restrict profile picture changes](/help/restrict-profile-picture-changes)
* [Restrict permissions of new members](/help/restrict-permissions-of-new-members)

## Stream management
* [Stream permissions](/help/stream-permissions)
* [Public access option](/help/public-access-option)
* [Stream posting policy](/help/stream-sending-policy)
* [Restrict stream creation](/help/configure-who-can-create-streams)
* [Restrict stream invitation](/help/configure-who-can-invite-to-streams)
* [Add or remove users from a stream](/help/add-or-remove-users-from-a-stream)
* [Set default streams for new users](/help/set-default-streams-for-new-users)
* [Rename a stream](/help/rename-a-stream)
* [Change a stream's description](/help/change-the-stream-description)
* [Change the privacy of a stream](/help/change-the-privacy-of-a-stream)
* [Delete or archive a stream](/help/archive-a-stream)

## Organization settings
* [Custom emoji](/help/custom-emoji)
* [Add a custom linkifier](/help/add-a-custom-linkifier)
* [Require topics in stream messages](/help/require-topics)
* [Restrict private messages](/help/restrict-private-messages)
* [Restrict wildcard mentions](/help/restrict-wildcard-mentions)
* [Restrict topic editing](/help/configure-who-can-edit-topics)
* [Restrict message editing](/help/configure-message-editing-and-deletion)
* [Disable message edit history](/help/disable-message-edit-history)
* [Block image and link previews](/help/allow-image-link-previews)
* [Hide message content in emails](/help/hide-message-content-in-emails)
* [Message retention policy](/help/message-retention-policy)
* [Weekly digest emails](/help/digest-emails)
* [Disable welcome emails](/help/disable-welcome-emails)
* [Configure notification bot](/help/configure-notification-bot)
* [Configure multi-language search](/help/configure-multi-language-search)

## Bots & integrations
* [Bots and integrations](/help/bots-and-integrations)
* [Add a bot or integration](/help/add-a-bot-or-integration)
* [Edit a bot](/help/edit-a-bot)
* [Deactivate or reactivate a bot](/help/deactivate-or-reactivate-a-bot)
* [Request an integration](/help/request-an-integration)
* [Restrict bot creation](/help/restrict-bot-creation)
* [View all bots in your organization](/help/view-all-bots-in-your-organization)

## Support
* [View Zulip version](/help/view-zulip-version)
* [Zulip Cloud billing](/help/zulip-cloud-billing)
* [Contact support](/help/contact-support)
